DELETE TimeSaver/DeleteEmployeeAttendanceSummaries
Request Information
URI Parameters
None.
Body Parameters
EmployeeAttendanceSummary| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| EmployeeID | globally unique identifier |
Required |
|
| SiteShiftID | globally unique identifier |
None. |
|
| QueryCategoryID | globally unique identifier |
None. |
|
| AttendanceDate | date |
Required |
|
| Hours | integer |
Required |
|
| Minutes | integer |
Required |
|
| Seconds | integer |
Required |
|
| HoursWorked | decimal number |
Required |
|
| TotalBreakMinutes | decimal number |
Required |
|
| DecisionID | DecisionType |
Required |
|
| DecisionDate | date |
None. |
|
| DecisionComments | string |
None. |
|
| IsQuery | boolean |
Required |
|
| IsClockedOut | boolean |
Required |
|
| ActualClockInTime | date |
None. |
|
| ThresholdClockInTime | date |
None. |
|
| ActualClockOutTime | date |
None. |
|
| ThresholdClockOutTime | date |
None. |
|
| OvertimeHoursWorked | decimal number |
Required |
|
| OvertimeHours | integer |
Required |
|
| OvertimeMinutes | integer |
Required |
|
| OvertimeSeconds | integer |
Required |
|
| IsOvertime | boolean |
Required |
|
| ApprovedBySecurityGroupUserID | globally unique identifier |
None. |
|
| ApprovedDate | date |
None. |
|
| Notes | string |
None. |
|
| IsConfirmed | boolean |
Required |
|
| ConfirmedDateTime | date |
None. |
|
| ConfirmedBySecurityGroupUserID | globally unique identifier |
None. |
|
| UnprocessedScans | boolean |
Required |
|
| RunningCompressedTotalWorked | decimal number |
None. |
|
| CompressedExpectedWeekHours | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "3206523f-5934-42bc-8759-6cd7aa42ed67",
"employeeID": "6eed063e-c771-4db7-8463-73173b45e5dd",
"siteShiftID": "404508e1-c866-4362-acff-19f61c156acb",
"queryCategoryID": "8415a366-4b66-4f73-a0d8-e268912ba5ba",
"attendanceDate": "2026-06-12T22:58:06.5447656+00:00",
"hours": 4,
"minutes": 5,
"seconds": 6,
"hoursWorked": 7.0,
"totalBreakMinutes": 8.0,
"decisionID": 1,
"decisionDate": "2026-06-12T22:58:06.5447656+00:00",
"decisionComments": "sample string 9",
"isQuery": true,
"isClockedOut": true,
"actualClockInTime": "2026-06-12T22:58:06.5447656+00:00",
"thresholdClockInTime": "2026-06-12T22:58:06.5447656+00:00",
"actualClockOutTime": "2026-06-12T22:58:06.5447656+00:00",
"thresholdClockOutTime": "2026-06-12T22:58:06.5447656+00:00",
"overtimeHoursWorked": 12.0,
"overtimeHours": 13,
"overtimeMinutes": 14,
"overtimeSeconds": 15,
"isOvertime": true,
"approvedBySecurityGroupUserID": "da94c17e-d426-406c-962c-9bc146a1bef8",
"approvedDate": "2026-06-12T22:58:06.5447656+00:00",
"notes": "sample string 17",
"isConfirmed": true,
"confirmedDateTime": "2026-06-12T22:58:06.5447656+00:00",
"confirmedBySecurityGroupUserID": "8b72dcd8-e607-4cef-a916-230ba52b4b06",
"unprocessedScans": true,
"runningCompressedTotalWorked": 1.0,
"compressedExpectedWeekHours": 1.0
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.